Loading...
Searching...
No Matches
CRangedObject Class Referenceabstract

Interface for objects that have a button in UI for showing range. More...

`#include <src/object/interface/ranged_object.h>`

Inheritance diagram for CRangedObject:
[legend]

## Public Member Functions

| CRangedObject (ObjectInterfaceTypes &types)
virtual float | GetShowLimitRadius ()=0
| Return object operation radius for display after clicking UI button.

## Detailed Description

Interface for objects that have a button in UI for showing range.

## Member Function Documentation

## GetShowLimitRadius()

virtual float CRangedObject::GetShowLimitRadius | ( |  | ) |

pure virtual

Return object operation radius for display after clicking UI button.

Implemented in COldObject.

The documentation for this class was generated from the following file:

- src/object/interface/ranged_object.h